For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
      • GETList SCIM Users
      • GETGet SCIM User
      • GETList SCIM Groups
      • GETGet SCIM Group
Login
Logo
API ReferenceSCIM

Get SCIM User

GET
https://api.ssoready.com/v1/scim/users/:id
GET
/v1/scim/users/:id
$curl https://api.ssoready.com/v1/scim/users/scim_user_... \
> -H "Authorization: Bearer <apiKey>"
200Retrieved
1{
2 "scimUser": {
3 "id": "scim_user_...",
4 "email": "john.doe@acme.com",
5 "deleted": false,
6 "attributes": {
7 "displayName": "John Doe",
8 "preferredLanguage": "en_US",
9 "key": "value"
10 }
11 }
12}
Gets a SCIM user.
Was this page helpful?
Previous

List SCIM Groups

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
ID of the SCIM user to get.

Response

OK
scimUserobject
The requested SCIM user.